NAND_READ_OOB(9)

NAME
nand_read_oob - [MTD Interface] NAND read out-of-band

SYNOPSIS

int nand_read_oob (struct mtd_info * mtd, loff_t from, size_t len, size_t * retlen, u_char * buf);

ARGUMENTS

mtd MTD device structure

from
    offset to read from

len number of bytes to read

retlen
    pointer to variable to store the number of read bytes

buf the databuffer to put data

DESCRIPTION

NAND read out-of-band data from the spare area

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.